<?php
/**
 * Plugin Name: Transaction Cloud for WooCommerce
 * Plugin URI: https://transaction.cloud
 * Description: Integracja z Transaction Cloud dla WooCommerce.
 * Version: 1.0.3
 * Author: TransactionCloud
 * Author URI: https://transaction.cloud
 * Text Domain: transaction-cloud-for-woocommerce
 * Domain Path: /languages
 */

if (!defined('ABSPATH')) {
    exit;
}

// Define constants.
define('TC_WOO_VERSION', '1.0.3');
define('TC_WOO_PLUGIN_FILE', __FILE__);
define('TC_WOO_PLUGIN_DIR', plugin_dir_path(__FILE__));

add_action('plugins_loaded', 'initTransactionCloudGateway');

function initTransactionCloudGateway()
{
    if (!class_exists('WC_Payment_Gateway')) {
        return;
    }

    require_once TC_WOO_PLUGIN_DIR . 'includes/TransacionCloudWoo.php';

    // Initialize the plugin.
    TransacionCloudWoo::instance();
}
