<?php

if (!defined('ABSPATH')) {
    exit;
}

class TransactionCloudPrice implements JsonSerializable
{
    private $currency;
    private $value;

    public function setCurrency($currency)
    {
        $this->currency = $currency;
    }

    public function setValue($value)
    {
        $this->value = $value;
    }

    public function jsonSerialize()
    {
        return [
            'currency' => $this->currency,
            'value' => $this->value
        ];
    }
}
